      integer*4 L_maxAOP
      parameter (L_maxAOP=95)
      character*32 AOPdef(L_maxAOP)
      data AOPdef(1) /'+,SSS,LFD,3,,0,' /
      data AOPdef(2) /'+,CSC,LFD,3,,3,' /
      data AOPdef(3) /'+,CCC,LFD,3,,6,' /
      data AOPdef(4) /'+,VVV,LFD,3,,9,' /
      data AOPdef(5) /'-,SSS,LFD,3,,12,' /
      data AOPdef(6) /'-,CSC,LFD,3,,15,' /
      data AOPdef(7) /'-,CCC,LFD,3,,18,' /
      data AOPdef(8) /'-,VVV,LFD,3,,21,' /
      data AOPdef(9) /'*,SSS,LFD,2,,24,' /
      data AOPdef(10) /'*,CSC,FD,2,,27,' /
      data AOPdef(11) /'*,CCC,FD,2,,29,' /
      data AOPdef(12) /'*,VSV,FD,2,,31,' /
      data AOPdef(13) /'*,VVV,FD,2,1#1N,33,' /
      data AOPdef(14) /'DOT,VVS,FD,2,,35,' /
      data AOPdef(15) /'*+,SSSS,LFD,2,,37,' /
      data AOPdef(16) /'*+,CCCC,FD,2,,40,' /
      data AOPdef(17) /'/,SSS,LFD,2,,42,' /
      data AOPdef(18) /'/,CSC,FD,2,,45,' /
      data AOPdef(19) /'/,CCC,FD,2,,47,' /
      data AOPdef(20) /'ABS,SS,FD,0,,49,' /
      data AOPdef(21) /'ABS,CC,FD,0,,51,' /
      data AOPdef(22) /'~,CC,FD,2,,53,' /
      data AOPdef(23) /'~*,CCC,FD,2,,55,' /
      data AOPdef(24) /'MUX,SSC,LFD,0,1#1N,57,' /
      data AOPdef(25) /'VMUX,SSSV,LFD,0,1#1N,60,' /
      data AOPdef(26) /'MAG,CS,FD,0,,63,' /
      data AOPdef(27) /'MAG,VS,FD,0,,65,' /
      data AOPdef(28) /'MAG2,CS,FD,0,,67,' /
      data AOPdef(29) /'PHASE,CS,FD,0,,69,' /
      data AOPdef(30) /'PHASED,CS,FD,0,,71,' /
      data AOPdef(31) /'POLAR,CC,FD,0,,73,' /
      data AOPdef(32) /'LN,SS,FD,0,,75,' /
      data AOPdef(33) /'LOG,SS,FD,0,,77,' /
      data AOPdef(34) /'EXP,SS,FD,0,,79,' /
      data AOPdef(35) /'**,SSS,FD,1,,81,' /
      data AOPdef(36) /'NPOW,SSS,FD,1,,83,' /
      data AOPdef(37) /'SQRT,SS,FD,0,,85,' /
      data AOPdef(38) /'COS,SS,FD,0,,87,' /
      data AOPdef(39) /'SIN,SS,FD,0,,89,' /
      data AOPdef(40) /'TAN,SS,FD,0,,91,' /
      data AOPdef(41) /'ASIN,SS,FD,0,,93,' /
      data AOPdef(42) /'ACOS,SS,FD,0,,95,' /
      data AOPdef(43) /'ATAN,SS,FD,0,,97,' /
      data AOPdef(44) /'ATAN2,SSS,FD,0,,99,' /
      data AOPdef(45) /'COSD,SS,FD,0,,101,' /
      data AOPdef(46) /'SIND,SS,FD,0,,103,' /
      data AOPdef(47) /'TAND,SS,FD,0,,105,' /
      data AOPdef(48) /'ASIND,SS,FD,0,,107,' /
      data AOPdef(49) /'ACOSD,SS,FD,0,,109,' /
      data AOPdef(50) /'ATAND,SS,FD,0,,111,' /
      data AOPdef(51) /'ATAN2D,SSS,FD,0,,113,' /
      data AOPdef(52) /'MOV,SS,LFD,0,,115,' /
      data AOPdef(53) /'MOV,CC,FD,0,,118,' /
      data AOPdef(54) /'ENT,SSS,LFD,0,2#1I,120,' /
      data AOPdef(55) /'ENT,CCC,FD,0,2#1I,123,' /
      data AOPdef(56) /'ENT,VVV,FD,0,2#1I,125,' /
      data AOPdef(57) /'X<>Y,SSSS,LFD,0,2#1N,127,' /
      data AOPdef(58) /'X<>Y,CCCC,FD,0,2#1N,130,' /
      data AOPdef(59) /'X<>Y,VVVV,FD,0,2#1N,132,' /
      data AOPdef(60) /'X?Z:Y,SSSS,LFD,0,1#1I,134,' /
      data AOPdef(61) /'X?Z:Y,CCSC,FD,0,1#1I,137,' /
      data AOPdef(62) /'X?Z:Y,VVSV,FD,0,1#1I,139,' /
      data AOPdef(63) /'MINIMUM,,,,ALIAS,MIN,' /
      data AOPdef(64) /'MAXIMUM,,,,ALIAS,MAX,' /
      data AOPdef(65) /'MODULO,,,,ALIAS,MOD,' /
      data AOPdef(66) /'MIN,SSS,LFD,0,,141,' /
      data AOPdef(67) /'MAX,SSS,LFD,0,,144,' /
      data AOPdef(68) /'MOD,SSS,LFD,0,,147,' /
      data AOPdef(69) /'FIX,SS,FD,0,,150,' /
      data AOPdef(70) /'ROUND,SS,FD,0,,152,' /
      data AOPdef(71) /'SUM,SS,LFD,0,1#0N,154,' /
      data AOPdef(72) /'SUM,CC,FD,0,1#0N,157,' /
      data AOPdef(73) /'SUMS,SSS,LFD,0,2#0N,159,' /
      data AOPdef(74) /'NORM,SS,FD,0,,162,' /
      data AOPdef(75) /'FFT,SC,F,0,1#2I,164,' /
      data AOPdef(76) /'FFT,CC,F,0,,165,' /
      data AOPdef(77) /'IFFT,CS,F,0,1#4I,166,' /
      data AOPdef(78) /'IFFT,CC,F,0,,167,' /
      data AOPdef(79) /'OR,SSS,LFD,7,,168,' /
      data AOPdef(80) /'AND,SSS,LFD,6,,171,' /
      data AOPdef(81) /'XOR,SSS,LFD,8,,174,' /
      data AOPdef(82) /'EQV,SSS,LFD,8,,177,' /
      data AOPdef(83) /'LT,SSS,LFD,4,,180,' /
      data AOPdef(84) /'LE,SSS,LFD,4,,183,' /
      data AOPdef(85) /'GT,SSS,LFD,4,,186,' /
      data AOPdef(86) /'GE,SSS,LFD,4,,189,' /
      data AOPdef(87) /'EQ,SSS,LFD,4,,192,' /
      data AOPdef(88) /'NE,SSS,LFD,4,,195,' /
      data AOPdef(89) /'BOR,SSS,L,0,,198,' /
      data AOPdef(90) /'BAND,SSS,L,0,,199,' /
      data AOPdef(91) /'BXOR,SSS,L,0,,200,' /
      data AOPdef(92) /'BNOT,SS,L,0,,201,' /
      data AOPdef(93) /'POWER2,SS,FD,0,,202,' /
      data AOPdef(94) /'POWER2L,SS,FD,0,,204,' /
      data AOPdef(95) /'RANDOM,S,FD,0,1#1N,206,' /
